﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;
using Telerik.Charting;

namespace asp_Chart_612482
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            this.RadChart1.Series[0].Appearance.PointMark.Visible = true;
            this.RadChart1.Series[0].Appearance.PointMark.Dimensions.AutoSize = false;
            this.RadChart1.Series[0].Appearance.PointMark.Dimensions.Height = 15;
            this.RadChart1.Series[0].Appearance.PointMark.Dimensions.Width = 15;
            this.RadChart1.Series[0].Appearance.PointMark.FillStyle.MainColor = Color.Red;

            if (this.RadChart1.Series[0].Items.Count == 1)
            {
                this.RadChart1.PlotArea.XAxis.AutoScale = false;
                this.RadChart1.PlotArea.XAxis.AddRange(0, 1, 1);
            }

            double failureTreshold = 1.5;

            ChartMarkedZone redLine = new ChartMarkedZone();
            redLine.ValueStartX = this.RadChart1.PlotArea.XAxis.MinValue - 0.5;
            redLine.ValueEndX = this.RadChart1.PlotArea.XAxis.MaxValue + 0.5;
            redLine.ValueStartY = failureTreshold;
            redLine.ValueEndY = failureTreshold;
            redLine.Appearance.Border.Color = Color.Red;

            this.RadChart1.PlotArea.MarkedZones.Add(redLine);
        }
    }
}
